# Get one order details

To use this feature you must have the API key. Read [here](/developer/get-api-key.md) to view how to get our API key

## Get one order details by API key

<mark style="color:blue;">`GET`</mark> `https://api.tronsave.io/v0/orders/:id`

Rate limi&#x74;***: 15** requests per **1** second*

{% tabs %}
{% tab title="200: OK " %}

```json
{
    id: string, // id of order
    requester: string, // the address represent for order owner
    target: string, // the address that is received resource 
    resource_amount: number, // the amount of resource
    resource_type: string, // the amount type is "ENERGY"
    remain_amount: number, // the remain amount can matching by system
    price: number, // price unit is equal to sun
    duration: number, // rent duration, duration unit is equal to second
    allow_partial_fill: boolean, //Allow the order to be filled partially or not
    payout_amount: number, // Total payout of this order
    fulfilled_percent: number, //The percent that show filling processing. 0-100
    matched_delegates:{ //All matched delegate for this order
       delegator:string // The address that delegate resource for target address
       amount: number //The amount of resource was delegated
       txid: number // The transaction id in onchain 
     }[]
}
```

{% endtab %}
{% endtabs %}

*Example*&#x20;

{% tabs %}
{% tab title="Header" %}

```json
{
  "apikey": <YOUR_API_KEY>
}
```

{% endtab %}

{% tab title="Success Response" %}

```json
{
      "id": "651d2306e55c073f6ca0992e",
      "requester": "TKVSaJQDWeKFSEXmA44pjxduGTxy999999",
      "target": "TKVSaJQDWeKFSEXmA44pjxduGTxy999999",
      "resource_amount": 100000,
      "resource_type": "ENERGY",
      "remain_amount": 0,
      "price": 67.5,
      "duration": 3600,
      "allow_partial_fill": true,
      "payout_amount": 6750000,
      "fulfilled_percent": 100,
       "matched_delegates": [
                {
                    "delegator": "TKVSaJQDWeKFSEXmA44pjxduGTxy888888",
                    "amount": 100000,
                    "txid": "transaction_id_1"
                }
            ]
}
```

{% endtab %}
{% endtabs %}

*Example Code*

{% tabs %}
{% tab title="Javascript" %}

```javascript
const GetOneOrderDetails = async (api_key, order_id) => {
    const url = `https://api.tronsave.io/v0/orders/${order_id}`
    const data = await fetch(url, {
        headers: {
            'apikey': api_key
        }
    })
    const response = await data.json()
    /**
     * Example response 
     * @link https://docs.tronsave.io/buy-energy-on-telegram/using-api-key-to/get-internal-account-order-history
        {
            "id": "651d2306e55c073f6ca0992e",
            "requester": "TKVSaJQDWeKFSEXmA44pjxduGTxy999999",
            "target": "TKVSaJQDWeKFSEXmA44pjxduGTxy999999",
            "resource_amount": 100000,
            "resource_type": "ENERGY",
            "remain_amount": 0,
            "price": 67.5,
            "duration": 3600,
            "allow_partial_fill": true,
            "payout_amount": 6750000,
            "fulfilled_percent": 100,
            "matched_delegates": [
                        {
                            "delegator": "TKVSaJQDWeKFSEXmA44pjxduGTxy888888",
                            "amount": 100000,
                            "txid": "transaction_id_1"
                        }
                    ]
        }
     */
    return response
}
```

{% endtab %}

{% tab title="cURL" %}

```powershell
curl --location 'https://api.tronsave.io/v0/orders?id={{order_id}}' \
--header 'apikey: {{apikey}}'
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tronsave.io/developer/rest-api-v0/buy-on-rest-api/use-api-key/get-one-order-details.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
